View Issue Details

IDProjectCategoryView StatusLast Update
00034323 - Current Dev ListBugpublic2019-09-02 09:41
ReporterPD9FERAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionreopened 
Product Version 
Target VersionFixed in Version6.7.0.226 
Summary0003432: When doing lookups with same station worked before, RST is set to latest QSO RST
DescriptionWhen you have a few logbook entries for the same station and want to do a lookup to correct QTH. Name and so on...
The RST fields are set to the values of the latest QSO with that station.
Steps To ReproduceLog the same station a few times with different Modes, Dates and RST value
Select the ones before the latest and double click or Select View (A.JPG)
Take a note of the RST value (B.JPG)
Click Lookup and see how the RST value changes to the ones in the latest QSO (C.JPG)
Additional InformationTicket #637409
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing Beta Failed

Relationships

related to 0003001 resolvedK7ZCZ Callsign lookup function does not appear to be working as designed 

Activities

PD9FER

2019-08-14 08:33

updater  

C.JPG (133,324 bytes)
C.JPG (133,324 bytes)
B.JPG (132,332 bytes)
B.JPG (132,332 bytes)
A.JPG (152,224 bytes)
A.JPG (152,224 bytes)

K7ZCZ

2019-08-17 21:48

administrator   ~0008418

It would be helpful to know the callsign lookup configuration when reproducing this. Can those details please be provided?

PD9FER

2019-08-18 04:16

updater   ~0008421

Does not matter what is set in Callsign lookup. (tested extensively)
for your own peace of mind, set it to A: QRZ.Com B: Logbook C: Country List

K7ZCZ

2019-08-22 14:23

administrator   ~0008429

Thanks, that's helpful information. I can have a look ...

PD9FER

2019-08-29 15:00

updater   ~0008459

Retesting in the 6.7 branch

K7ZCZ

2019-08-29 15:01

administrator   ~0008460

I think this is fixed with the call sign lookup re-write in the 6.7 branch. Please re-test it there and let me know.

g3ucq

2019-09-01 15:54

updater   ~0008485

Not fixed for me.
Bring up the ALE. Add G3UCQ as the call sign and Lookup.
You will see John Farrar as the name plus location.
Press F4 to reset the ALE.
Enter WA9PIE as the callsign and press Lookup.
The name will show as John Farrar again with same Location.

WA9PIE

2019-09-02 05:54

administrator   ~0008486

Failing this one based on G3UCQ's feedback.

PD9FER

2019-09-02 09:41

updater   ~0008498

Confirming Fail in v6.7.227

Issue History

Date Modified Username Field Change
2019-08-14 08:33 PD9FER New Issue
2019-08-14 08:33 PD9FER File Added: C.JPG
2019-08-14 08:33 PD9FER File Added: B.JPG
2019-08-14 08:33 PD9FER File Added: A.JPG
2019-08-17 21:48 K7ZCZ Note Added: 0008418
2019-08-17 21:48 K7ZCZ Assigned To => PD9FER
2019-08-17 21:48 K7ZCZ Status new => assigned
2019-08-17 21:48 K7ZCZ Status assigned => feedback
2019-08-18 04:16 PD9FER Note Added: 0008421
2019-08-22 14:23 K7ZCZ Note Added: 0008429
2019-08-22 14:23 K7ZCZ Assigned To PD9FER => K7ZCZ
2019-08-29 15:00 PD9FER Note Added: 0008459
2019-08-29 15:00 PD9FER Status feedback => assigned
2019-08-29 15:01 K7ZCZ Relationship added related to 0003001
2019-08-29 15:01 K7ZCZ Note Added: 0008460
2019-08-29 15:01 K7ZCZ Assigned To K7ZCZ => PD9FER
2019-08-29 15:01 K7ZCZ Status assigned => resolved
2019-08-29 15:01 K7ZCZ Resolution open => fixed
2019-08-30 13:25 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2019-08-30 13:29 K7ZCZ Fixed in Version => 6.7.0.226
2019-09-01 15:54 g3ucq Note Added: 0008485
2019-09-02 05:54 WA9PIE Assigned To PD9FER => K7ZCZ
2019-09-02 05:54 WA9PIE Status resolved => feedback
2019-09-02 05:54 WA9PIE Resolution fixed => reopened
2019-09-02 05:54 WA9PIE Description Updated View Revisions
2019-09-02 05:54 WA9PIE Steps to Reproduce Updated View Revisions
2019-09-02 05:54 WA9PIE Testing Not Started => Beta Failed
2019-09-02 05:54 WA9PIE Note Added: 0008486
2019-09-02 09:41 PD9FER Note Added: 0008498
2019-09-02 09:41 PD9FER Status feedback => assigned